GET api/contractItemapi/contractItem/{id}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters
None.
Response Information
Resource Description
ContractItemViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| item_descriptions | Dictionary of string [key] and string [value] |
None. |
|
| item_code | string |
None. |
|
| selected_sticker_id | globally unique identifier |
None. |
|
| selected_nameplate_id | globally unique identifier |
None. |
|
| active | boolean |
Required |
|
| contract_id | globally unique identifier |
Required |
|
| id | globally unique identifier |
None. |
|
| physical_item_id | globally unique identifier |
None. |
|
| service_item_id | globally unique identifier |
None. |
|
| item_wash_max | integer |
None. |
|
| quantity | integer |
None. |
Response Formats
application/json, text/json
Sample:
{
"item_descriptions": {
"sample string 1": "sample string 2",
"sample string 3": "sample string 4"
},
"item_code": "sample string 1",
"selected_sticker_id": "b0e4eec8-0cb8-4d4b-9f75-6b1229b232a8",
"selected_nameplate_id": "3573fde9-3f81-4b49-a623-13e099aaaa42",
"active": true,
"contract_id": "7de4464a-d321-47d6-83df-bdb531327716",
"id": "d0b2539d-93e3-43da-a9c1-217f33fc686c",
"physical_item_id": "36a454bd-7785-4630-8886-1b4beea96d61",
"service_item_id": "758f8085-1749-4f6f-b1a3-13ab4d570ccf",
"item_wash_max": 1,
"quantity": 1
}
application/xml, text/xml
Sample:
<contract_item xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<active>true</active>
<contract_id>7de4464a-d321-47d6-83df-bdb531327716</contract_id>
<id>d0b2539d-93e3-43da-a9c1-217f33fc686c</id>
<item_wash_max>1</item_wash_max>
<physical_item_id>36a454bd-7785-4630-8886-1b4beea96d61</physical_item_id>
<quantity>1</quantity>
<service_item_id>758f8085-1749-4f6f-b1a3-13ab4d570ccf</service_item_id>
<item_code>sample string 1</item_code>
<item_descriptions xmlns:d2p1="http://schemas.microsoft.com/2003/10/Serialization/Arrays">
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 1</d2p1:Key>
<d2p1:Value>sample string 2</d2p1:Value>
</d2p1:KeyValueOfstringstring>
<d2p1:KeyValueOfstringstring>
<d2p1:Key>sample string 3</d2p1:Key>
<d2p1:Value>sample string 4</d2p1:Value>
</d2p1:KeyValueOfstringstring>
</item_descriptions>
<selected_nameplate_id>3573fde9-3f81-4b49-a623-13e099aaaa42</selected_nameplate_id>
<selected_sticker_id>b0e4eec8-0cb8-4d4b-9f75-6b1229b232a8</selected_sticker_id>
</contract_item>